Bug 733492 - SELinux is preventing /bin/systemd-tmpfiles from 'unlink' accesses on the file vmci.o.
Summary: SELinux is preventing /bin/systemd-tmpfiles from 'unlink' accesses on the fil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard: setroubleshoot_trace_hash:5ba4c69bcee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 19:31 UTC by bugfinder
Modified: 2011-10-06 00:01 UTC (History)
11 users (show)

Fixed In Version: selinux-policy-3.9.16-39.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:01:30 UTC


Attachments (Terms of Use)

Description bugfinder 2011-08-25 19:31:31 UTC
SELinux is preventing /bin/systemd-tmpfiles from 'unlink' accesses on the file vmci.o.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-tmpfiles should be allowed unlink access on the vmci.o file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-tmpfile /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Context                unconfined_u:object_r:modules_object_t:s0
Target Objects                vmci.o [ file ]
Source                        systemd-tmpfile
Source Path                   /bin/systemd-tmpfiles
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-units-26-8.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.3-0.fc15.i686.debug #1
                              SMP Tue Aug 16 04:04:02 UTC 2011 i686 i686
Alert Count                   1
First Seen                    Thu 25 Aug 2011 05:45:58 PM IST
Last Seen                     Thu 25 Aug 2011 05:45:58 PM IST
Local ID                      1c3fde5d-c763-48ac-becf-b3fa9ec0b118

Raw Audit Messages
type=AVC msg=audit(1314274558.252:54): avc:  denied  { unlink } for  pid=2002 comm="systemd-tmpfile" name="vmci.o" dev=sda3 ino=57900 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=unconfined_u:object_r:modules_object_t:s0 tclass=file


type=SYSCALL msg=audit(1314274558.252:54): arch=i386 syscall=unlinkat success=yes exit=0 a0=4 a1=97738fb a2=0 a3=bffb5290 items=0 ppid=1 pid=2002 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-tmpfile exe=/bin/systemd-tmpfiles subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)

Hash: systemd-tmpfile,systemd_tmpfiles_t,modules_object_t,file,unlink

audit2allow

#============= systemd_tmpfiles_t ==============
allow systemd_tmpfiles_t modules_object_t:file unlink;

audit2allow -R

#============= systemd_tmpfiles_t ==============
allow systemd_tmpfiles_t modules_object_t:file unlink;

Comment 1 Miroslav Grepl 2011-08-26 06:39:17 UTC
Do you know what were you doing when this happened?

Comment 2 Miroslav Grepl 2011-08-26 06:41:06 UTC
Any idea why on this?

Comment 3 bugfinder 2011-08-26 07:29:41 UTC
Sorry, I have no idea. My SELinx alerts were temporarily disabled because of too many messages. Yesterday I filed bugs for all of them. I'll post again if this happens again.

Comment 4 Daniel Walsh 2011-08-26 18:17:02 UTC
Did you move some modules conf directory to /tmp?

Were you building a kernel as root?

Comment 5 bugfinder 2011-08-26 23:20:19 UTC
I built a VMware kernel module in /tmp

Comment 6 Daniel Walsh 2011-08-29 17:50:08 UTC
Ok lets just allow it.

files_delete_kernel_modules(systemd_tmpfiles_t)

Comment 7 Fedora Update System 2011-09-08 08:11:16 UTC
selinux-policy-3.9.16-39.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15

Comment 8 Fedora Update System 2011-09-09 05:27:35 UTC
Package selinux-policy-3.9.16-39.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-39.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-10-06 00:01:30 UTC
selinux-policy-3.9.16-39.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.